Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.net
Class HttpProxySocketProvider

    java.lang.Object
      java.net.Socket
          com.sshtools.j2ssh.net.HttpProxySocketProvider

All Implemented Interfaces:
  TransportProvider

public class HttpProxySocketProvider
extends java.net.Socket
implements TransportProvider

DOCUMENT ME!

Method Summary
`static HttpProxySocketProvider` | `connectViaProxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, java.lang.String username, java.lang.String password, java.lang.String userAgent)` DOCUMENT ME!
`static HttpProxySocketProvider` | `connectViaProxy(java.lang.String host, int port, java.lang.String proxyHost, int proxyPort, java.lang.String protocol, java.lang.String username, java.lang.String password, java.lang.String userAgent)` DOCUMENT ME!
`java.lang.String` | `getProviderDetail()` DOCUMENT ME!
`HttpHeader` | `getResponseHeader()` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class java.net.Socket
`bind, close, connect, connect, getChannel, getInetAddress, getInputStream, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOutputStream, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sshtools.j2ssh.net.TransportProvider
`close, getInputStream, getOutputStream`

Method Detail

### connectViaProxy

    public static HttpProxySocketProvider connectViaProxy(java.lang.String host,
                                                          int port,
                                                          java.lang.String proxyHost,
                                                          int proxyPort,
                                                          java.lang.String username,
                                                          java.lang.String password,
                                                          java.lang.String userAgent)
                                                   throws java.io.IOException,
                                                          java.net.UnknownHostException

  DOCUMENT ME!

  Parameters:
    `host` - DOCUMENT ME!
    `port` - DOCUMENT ME!
    `proxyHost` - DOCUMENT ME!
    `proxyPort` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `password` - DOCUMENT ME!
    `userAgent` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.net.UnknownHostException` - DOCUMENT ME!

### connectViaProxy

    public static HttpProxySocketProvider connectViaProxy(java.lang.String host,
                                                          int port,
                                                          java.lang.String proxyHost,
                                                          int proxyPort,
                                                          java.lang.String protocol,
                                                          java.lang.String username,
                                                          java.lang.String password,
                                                          java.lang.String userAgent)
                                                   throws java.io.IOException,
                                                          java.net.UnknownHostException

  DOCUMENT ME!

  Parameters:
    `host` - DOCUMENT ME!
    `port` - DOCUMENT ME!
    `proxyHost` - DOCUMENT ME!
    `proxyPort` - DOCUMENT ME!
    `protocol` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `password` - DOCUMENT ME!
    `userAgent` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `java.net.UnknownHostException` - DOCUMENT ME!
    `java.net.SocketException` - DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getResponseHeader

    public HttpHeader getResponseHeader()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getProviderDetail

    public java.lang.String getProviderDetail()

  DOCUMENT ME!

  Specified by:
    `getProviderDetail` in interface `TransportProvider`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD